Company lists
Duplicate List
POST
Bearerheader
AuthorizationBearer <token>list_id
integerrequiredSuccessful Response
application/json- companies_countintegerdefault: 0
Number of companies in the list
- created_atstringdate-timerequired
- customer_crm_connection_idintegernullable
CRM connection that keeps this list in sync (CUSTOMER_CRM_SYNC lists)
- deletablebooleannullable
Whether the list can be deleted
- idintegerrequired
- namestringrequired
Name of the company list
- typestringnullable
Type of the list: MANUAL_CREATION, WEBHOOK_TRIGGERED, REVEALED_COMPANIES
- REVEALED_COMPANIES
- WEBHOOK_TRIGGERED
- MANUAL_CREATION
- EXPORT_SNAPSHOT
- INTERNAL_WEBHOOK_TRIGGERED
- CUSTOMER_CRM_SYNC
- user_idintegernullable
User ID of the list owner
- webhook_idintegernullable
Webhook ID of the list
curl -X POST 'https://api.theirstack.com/v0/company_lists/0/duplicate'{ "companies_count": 0, "created_at": "2019-08-24T14:15:22Z", "customer_crm_connection_id": 0, "deletable": true, "id": 0, "name": "string", "type": "REVEALED_COMPANIES", "user_id": 0, "webhook_id": 0}How is this guide?
Last updated on
Add Companies To List POST
Add companies to one of the team's company lists by their company IDs, the id of each company in a company search result. Returns the list with its new company count. If a company is not found, nothing is added and the error names the IDs that were not found.
Remove Companies From List POST
Next Page
